<?php
/**
 * Main daemon, processing commands and launching cron jobs
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2013 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 2.1.0I
 */


/**
 * @desc Send a command to application to indicate server is still alive
 *
 */
function pingApp(){cfServerSendCmd('ping',false,true);}

/**
 * @desc Check (other) daemons are still alive and restart if necessary
 *
 */
function monitorDaemons(){WDaemons::monitor();}

// Initialize script
require(INCLUDE_DIR.'daemonFunctions.php');
WDaemonInstance::init();


/**
 ***************************************************************************************************************************
 * Set jobs
 ***************************************************************************************************************************
 */
WDaemonInstance::addCron('pingApp','pingApp',5); 																// Ping application to indicate server is still alive
WDaemonInstance::addCron('monitorDaemons','monitorDaemons',3); 													// Check (other) daemons are still alive and restart if necessary
WDaemonInstance::addCron('streamedProcessMonitor','cfStreamProcMonitor',10,-1); 								// Check there is no hanged streamed process

/**
 ***************************************************************************************************************************
 * Run
 ***************************************************************************************************************************
 */
WDaemonInstance::loop();
?>