<?php
/**
 * User Interface: link available resource to given user
 * GET param: selectedUserId=>user unique id
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 2.0.0
 */

require_once(INCLUDE_DIR.'resourceConfigFunctions.php');
require_once(INCLUDE_DIR.'outputFunctions.php');

if(!cfIsInApp()) die();



// Get user
if(isset($_POST['selectedUserId'])) $_GET['selectedUserId']=$_POST['selectedUserId'];
if(!($uc=new WUserConfig($_GET['selectedUserId']))) die('Unknown user');



/**
 ***************************************************************************************************************************
 * Process Async command
 ***************************************************************************************************************************
 */
if(cfIsAsync()){
	cfAsyncHeader();
	if(isset($_POST['boundResourceId']) && cfArrayItem(cfMGetVar('weezoResourcesList'),$_POST['boundResourceId'])){
		rcResourceAddToUsers($_POST['boundResourceId'],$_POST['selectedUserId']);
		echo cfAsyncXMLJSaction("wl.UICommand('close:')");
	}
	die(cfAsyncFooter());
}


// Get bound resources
$bound=$uc->getResources();

/**
 ***************************************************************************************************************************
 * Insert page HEADER
 ***************************************************************************************************************************
 */
cfInsertHEAD(false,array('size'=>'565x350','icon'=>'add2','title'=>cfCaption('adminResourceAdd')));
echo cfScriptLink('winClient.js');
?>
</head>
<body style="overflow:hidden;margin:0px;padding:0px">
<?php
echo outDivFrame('frame2','id="uiUsersBindResourceFrame"','overflow:auto;height:300px;margin:5px;margin-bottom:5px');

/**
 * Display unbound resources
 */
$nb=0;
foreach (cfMGetVar('weezoResourcesList') as $id=>$filename) {
	if(!isset($bound[$id])){
		$res=cfMGetVar('weezoResData'.$id);
		if(!$uc->isAdministrator() && $res['type']=='administration') continue;
		echo rcResourceBlock($id);
		$nb++;
	}
}

/**
 * If no resource can be bound to user, display info & create new resource button
 */
if(!$nb) echo '<div style="margin-top:110px;width:535px;text-align:center;font-weight:bold">'.outImage(outIcon('info32')).'<br>'.cfCaption('resNoAvailableRessource').'<br><br><br>'.outButton(cfCaption('resNewResource'),'javascript:createNewResource()',outIcon('new')).'</div>';
?>
</div>
<center>

<?php echo outBt(cfCaption('genAdd'),outIcon('ok16'),"javascript:apply()",'okBt',false,'style="margin-right:3em"','off',120);?>

<?php echo outBt(cfCaption('genCancel'),outIcon('cancel'),"javascript:wl.UICommand('close:')",false,false,false,'up',120);?>
</center>
<script type="text/javascript">
var selected={}

// Create new resource: close form and return "createNewResource" to uiUsersAddResourceCB()
function createNewResource(){wl.UICommand('close:createNewResource')}

// Called on dblClick on a resource
function selectRes(rid){apply(rid)}

// Called on click on a resource
function toggleRes(rid){
	if(selected[rid]){
		delete(selected[rid])
	}
	else selected[rid]=1;
	if(count(selected)) btEnable('okBt'); else btDisable('okBt');
}
// Apply changes
function apply(rid){
	if(rid) wl.UIWebPopupReturn(rid);
	else if (count(selected)){
		var e,r='';
		for(e in selected) r+=((r)?'/':'')+e;
		wl.UIWebPopupReturn(r);
	}
}
function bindResource(rid){wl.asr.send({'selectedUserId':'<?php echo $_GET['selectedUserId'];?>','boundResourceId':rid});}
</script>
</body>
