<?php
/**
 * Home page of general, resources and accounts configuration
 *
 * This script is called as a standard resource, with extra access controls (localhost,
 * or remote host with administrator connection and remote administration allowed
 *
 * The only function of this script is to display main configuration menu, and to include selected configuration page
 *
 * or from application's embeded browser ('application')
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
*
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 1.0.0
 */

require_once(INCLUDE_DIR.'outputFunctions.php');
$incl=dirname(__FILE__).'/';

/*
 ***************************************************************************************************************************
 * Verify access rights
 ***************************************************************************************************************************
 */
if(cfUGetVar('administrator')!=true || ($_SERVER['REMOTE_ADDR']!='127.0.0.1' && cfGGetVar('remoteAdministrationAuthorized')!=true)) {
	cfLog('administration : unauthorized access attempt by '.$_SERVER['REMOTE_ADDR'], LOG_DBG);
	outDisplayErrorPage(cfCaption('errorRemoteAdministrationNotAuthorized')); // If no access right, display error page and exit
}




// Define resource-vars that will be saved if user is singleUser
cfSetSavedRVar('currentPanel','showLocalhost','adaptZoom');


// Panel change command received
if(isset($_GET['panel'])){
	if($_GET['panel']=='accounts') {cfRSetVar('currentPanel','accounts'); cfRSetVar('configuringResource',false);}
	if($_GET['panel']=='resources') {cfRSetVar('currentPanel','resources'); cfRSetVar('configuringResource',false);}
	if($_GET['panel']=='transfers') cfRSetVar('currentPanel','transfers');
	if($_GET['panel']=='general') cfRSetVar('currentPanel','general');
	if($_GET['panel']=='contacts') cfRSetVar('currentPanel','contacts');
	if($_GET['panel']=='stats') cfRSetVar('currentPanel','stats');
	if($_GET['panel']=='prompt') cfRSetVar('currentPanel','prompt');
	//if($_GET['panel']=='remoteDesktop') cfRSetVar('currentPanel','remoteDesktop');
}


/**
 * Mobiles
 */
if(cfIsMobile()) {
	switch (cfRGetVar('currentPanel')){
		case 'prompt':
		require(dirname($_SERVER['SCRIPT_FILENAME']).'/prompt.php');
		break;
		//case 'remoteDesktop':
		//require(dirname($_SERVER['SCRIPT_FILENAME']).'/remoteDesktop.php');
		//break;
		default:
		require(dirname($_SERVER['SCRIPT_FILENAME']).'/mobileGeneral.php');
	}
	exit;
}


// Remote desktop must be displayed in full screen mode => don't display upper menu
// Deprecated: remote desktop is now a standalone resource
if(0 && cfRGetVar('currentPanel')=='remoteDesktop') {
	if(cfUGetVar('administrator') && cfGGetVar('remoteAdministrationAuthorized') && cfRGetVar('advancedAdministration') && cfRGetVar('remoteDesktopAuthorized')){
		require_once($incl.'remoteDesktop.php');
		exit;
	}
}
elseif(cfRGetVar('currentPanel')=='stats' && isset($_GET['graph'])) {
	require_once($incl.'stats.php');
	exit;
}
// Not asynchronous request: display HTML page
if(!isset($_POST['asyncRequest'])){
	if(cfBGetVar('name')=='iPhone') cfRSetVar('meta','<meta name="viewport" content="width=480">');

	// Count buttons for layout styling
	$nbItems=4;
	if(cfRGetVar('advancedAdministration')) $nbItems+=2;
	if(cfRGetVar('promptAuthorized')) $nbItems+=1;
	$width=floor(100/$nbItems);


	cfInsertHEAD(false);
	?>
<style type="text/css">
.cell{padding:4px 0px 4px 0px}
.dcell{padding:4px 0px 4px 0px;filter:Alpha(opacity=50, style=0); -moz-opacity:0.50; -khtml-opacity:0.50; opacity:0.50;}
#buttonsTable{table-layout:fixed;width:99%}
#buttonsTable td{width:<?php $width;?>%}
#buttonsTable fieldset{display:block;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;margin:0px;padding:7px}
</style>
	<?php
	echo '</head><body>';
	if(cfRGetVar('currentPanel')=='resources') echo cfScriptLink('wz_dragdrop.js');
	echo '<div id="topDiv">';


	echo outDivFrame('frame1');

	$extraStyle='';	if(cfGetBrowser()=='ie') $extraStyle.='width:100%';

	echo '<table id="buttonsTable" cellpadding="3"><tr>';
	// General
	echo '<td>'.outBlockItem('mainMenu',outImageIcon('config').cfCaption('adminGeneral'),false,$extraStyle,array('onclick'=>'D.location=PHP_SELF+\'?panel=general\''),(cfRGetVar('currentPanel')=='general')?'sel':'unsel')."</td>\n";

	// Users
	if(cfRGetVar('advancedAdministration')) echo '<td>'.outBlockItem('mainMenu',outImageIcon('users16').cfCaption('genGroups'),false,$extraStyle,array('onclick'=>'D.location=PHP_SELF+\'?panel=accounts\''),(cfRGetVar('currentPanel')=='accounts')?'sel':'unsel')."</td>\n";

	// Resources
	if(cfRGetVar('advancedAdministration')) echo '<td>'.outBlockItem('mainMenu',outImageIcon('resources').cfCaption('genResources'),false,$extraStyle,array('onclick'=>'D.location=PHP_SELF+\'?panel=resources\''),(cfRGetVar('currentPanel')=='resources')?'sel':'unsel')."</td>\n";

	// Contacts
	echo '<td>'.outBlockItem('mainMenu',outImageIcon('contacts').cfCaption('genContacts'),false,$extraStyle,array('onclick'=>'D.location=PHP_SELF+\'?panel=contacts\''),(cfRGetVar('currentPanel')=='contacts')?'sel':'unsel')."</td>\n";

	// Transfers
	echo '<td>'.outBlockItem('mainMenu',outImageIcon('transfers').cfCaption('adminTranfers'),false,$extraStyle,array('onclick'=>'D.location=PHP_SELF+\'?panel=transfers\''),(cfRGetVar('currentPanel')=='transfers')?'sel':'unsel')."</td>\n";

	// Stats
	echo '<td>'.outBlockItem('mainMenu',outImageIcon('stats').cfCaption('genStats'),false,$extraStyle,array('onclick'=>'D.location=PHP_SELF+\'?panel=stats\''),(cfRGetVar('currentPanel')=='stats')?'sel':'unsel')."</td>\n";

	// DOS prompt
	if(cfRGetVar('promptAuthorized')) echo '<td>'.outBlockItem('mainMenu',outImageIcon('prompt').cfCaption('dosPrompt'),false,$extraStyle,array('onclick'=>'D.location=PHP_SELF+\'?panel=prompt\''),(cfRGetVar('currentPanel')=='prompt')?'sel':'unsel')."</td>\n";

	echo '</tr></table>';
	echo "</div>\n";

	echo '<div style="height:0.4em"></div>';

	cfRInitVar('currentPanel','general');

	outShadowBefore("100%");
}

// Insert selected panel script
$cp=cfRGetVar('currentPanel');
if($cp=='accounts') require($incl.'users.php');
elseif($cp=='resources') require($incl.'resources.php');
elseif($cp=='transfers') require($incl.'transfers.php');
elseif($cp=='general') require($incl.'general.php');
elseif($cp=='contacts') require($incl.'contacts.php');
elseif($cp=='prompt') require($incl.'prompt.php');
elseif($cp=='stats') {$displayType='stats';require($incl.'stats.php');}
elseif($cp=='remoteDesktop') {
	// Unauthorized remote desktop: display error page
	outDisplayErrorPage(cfcaption('errorRemoteAdministrationNotAuthorized'),false,true,array('alignBottom'=>true));
}

// Not asynchronous request: display end of HTML page
if(!isset($_POST['asyncRequest'])){
	outFrameShadowAfter();
	echo '</div>';
	outKeysManager();
?><script type="text/javascript">if(winMe.addControls) winMe.addControls('');</script><?php
	echo '</body></html>';
}
?>
