<?php
/**
 * Remote accounts configuration
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
*
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2008 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 1.1.1
 */


/**
 * @desc Display control for subUsers management
 *
 */
function uiUsersSubUsersList($uc){
	$o='';
	if(0) $uc=new WUserConfig(); // Zend IDE object detection WA

	$subUsers=$uc->getSubUserNames();

	// No users
	if(count($subUsers)==0){
		$o.=outTableTransparent(false,'width:100%;height:100%;');
		$o.='<tr><td style="height:100%;text-align:center">'.outImage(outIcon('info32'),false,false,'margin-bottom:5px').'<br>'.cfCaption('genNoAccounts').'</td></tr></table>';
		//$o.='<center><div style="position:relative;width:60%;margin-left:auto;margin-right:auto"><div style="padding-top:0px">'.outImage(outIcon('info32'),false,false,'margin-bottom:5px').'<br>'.cfCaption('genNoAccounts').'</div></div></center>';
	}
	// Users table
	else{
		$o.=outTableTransparent(false,'table-layout:fixed',outEHoverFrameAttr());
		$i=0;
		foreach ($subUsers as $id=>$name){
			$i++;
			$o.='<tr class="eTC '.(($i%2==1)?'odd':'even').'" eH=1><td class="eTCLeft" id="subUser'.$id.'">'.cfUTF8Encode($name).'</td>';
			$o.='<td style="width:160px;text-align:right">'.outButton(cfCaption('genPassword'),"javascript:uiUsersSubUserResetPassword('".$id."')").'</td>';
			$o.='<td style="width:40px" class="eTCRight">'.outButton(false,"javascript:uiUsersDeleteSubUser('".$id."')",outIcon('del'),cfCaption('genDelete')).'</td>';
			$o.='</tr>';
		}
		$o.='</table>';
	}

	return $o;
}

/*
 * Verify access rights
*/
if(cfUGetVar('administrator')!=true || !cfGGetVar('remoteAdministrationAuthorized') || !cfRGetVar('advancedAdministration')) outDisplayErrorPage(cfcaption('errorRemoteAdministrationNotAuthorized'),false,true,array('alignBottom'=>true));

$users=cfUsersConfigs();

// Determine if small-screen tweaks must be applied
$smallScreen=(cfBGetVar('screenSize')=='small' || cfBGetVar('name')=='iPhone');


// Asynchronous header
if(cfIsAsync()) cfAsyncHeader();


/************************************************************************************************************
 * Synchronous POST commands
 ***********************************************************************************************************/
if(isset($_POST['userAction']) && !cfIsAsync()){
	// Create new user
	if($_POST['userAction']=='create'){
		$uc=new WUserConfig();
		$uc->save();
		// Set as selected
		cfRSetVar('selectedUserId',$uc->id());
		$users=cfUsersConfigs();
		$userData=$uc->getData();
	}
	// Delete existing user
	elseif($_POST['userAction']=='delete' && isset($users[$_POST['userActionId']])){
		// Read user config
		$uc=$users[$_POST['userActionId']];
		// If user is not administrator
		if(!$uc->isAdministrator()){
			// Delete file and inform application
			$uc->del();
			$resetSessions=true;
		}
		// Reset users list
		$users=cfUsersConfigs();
		// Select 1st user
		foreach ($users as $id=>$uc) break;
		$userData=$uc->getData();
		cfRSetVar('selectedUserId',$uc->id());
	}
}



	/************************************************************************************************************
	 * Users list tab
	 ***********************************************************************************************************/
if(!cfIsAsync()){
?>
<style type="text/css">
.adminUserHover{background:#BED5F0;color:#333}
</style>
<script type="text/javascript">
var selectedUser="<?php echo cfRGetVar('selectedUserId' );?>";
var users=[<?php $nb=0;foreach ($users as $id=>$uConfig) echo (($nb++)?',"':'"').$uConfig->id().'"';?>];
<?php echo cfJSCaptionVar('genConfirmSuppress'); ?>

function init(){
	<?php if($smallScreen) echo 'dgn("viewport").setAttribute("content", "width=280, user-scalable=yes,initial-scale=1.16"); return;';?>
	if(actualOffsetTop(dgi('usersDiv'))<1) return window.setTimeout('init()',50);
	dgi('mainTable').style.height=(winMe.getInnerHeight()-actualOffsetTop(dgi('mainTable'))-10)+'px';
	dgi('usersDiv').style.height=(actualOffsetBottom(dgi('mainTable'))-actualOffsetTop(dgi('usersDiv'))-20)+'px';
	dgi('userConfigurationPanel').style.height=(actualOffsetBottom(dgi('mainTable'))-actualOffsetTop(dgi('userConfigurationPanel'))-20)+'px';
	var n=0;
}
function selectUser(id){
	var i,n=0;
	if(id==selectedUser) return;
	for(i=0;i<users.length;i++){
		dgi('user'+users[i]).className='adminUser'+((id==users[i])?'Sel':'');
	}
	selectedUser=id;
	dgn('userAction').value='select';
	dgn('userActionId').value=id;
	asyncSubmitForm("userActionForm");
}
function userHover(node,over){
	if(over && node.className=='adminUser') node.className='adminUser adminUserHover';
	else if(!over && node.className=='adminUser adminUserHover') node.className='adminUser';
}
function createUser(){
	dgn('userAction').value='create';
	dgi("userActionForm").submit();
}
function deleteUser(){
	var txt="<?php echo str_replace('"',"''",cfCaptionJS('userConfirmDelete')); ?>";
	if(!confirm(txt.replace(/%1/,dgi('userName'+selectedUser).innerHTML))) return;
	dgn('userAction').value='delete';
	dgn('userActionId').value=selectedUser;
	dgi("userActionForm").submit();
}
function asUpdtFunction(dataName,dataValue){
	switch(dataName){
		case 'name':
		dgi('userName'+selectedUser).innerHTML=dataValue;
		break;
		case 'icon':
		var src=dgi('userIcon'+selectedUser).src;
		dgi('userIcon'+selectedUser).src=src.substr(0,src.lastIndexOf("/")+1)+dataValue;
		break;
		case 'authenticationMethod':
		dgn('asUpdtpassword').disabled=(dataValue=='password')?false:true;
		break;
		case 'activated':
		dgi('userAct'+selectedUser).src=(dataValue)?"<?php echo outIcon('on');?>":"<?php echo outIcon('off');?>";
		case 'accountType':
		if(dataValue=='singleUser') {
			var fc=(dgn('asUpdtmaxSimultaneousUsers').firstChild);
			while(fc.value!=1 && fc.nextSibling) fc=fc.nextSibling;
			if(fc.value==1) fc.selected=true;
		}
		break;
	}
}
function asUpdtRes(item){
	if(item.checked) dgn("asUpdtName").value='resourceAdd'; else dgn("asUpdtName").value='resourceRemove';
	dgn("asUpdtValue").value=item.id;
	asyncSubmitForm("asUpdtForm");
}
function resClick(node){
	node.previousSibling.previousSibling.checked=((node.previousSibling.previousSibling.checked=='')?'checked':'');
	asUpdtRes(node.previousSibling.previousSibling)
}
function setIPFilter(userFile){
	if(winFrames){
		parent.winOpenLocation("/res/administration/std/usersIPFilter.php?userFile="+userFile,"userIPFilterWindow","<?php echo cfCaption('configIPFilter')?>",winMyId);
		with(parent.win('userIPFilterWindow')){
			resizeTo(550,430);
			center();
			show();
			bringToFront();
		}
	}
}
/**
 * SubUsers management
 */
function uiUsersAddSubUser(){
	wl.UIWebPopup('/res/administration/std/password.php?subUser=1',uiUsersAddSubUserCB)
}

// Name / password form for subUser creation allback
function uiUsersAddSubUserCB(r){
	wl.asr.send({'userId':selectedUser,'userCreateSubUser':r})
}

// Delete subUser
function uiUsersDeleteSubUser(subUserId){
	var capt=wl.capt.genConfirmSuppress.replace(/%1/,'"'+dgi('subUser'+subUserId).innerHTML+'"');
	if(confirm(capt)) wl.asr.send({'userId':selectedUser,'userDeleteSubUser':1,'subUserId':subUserId})
}

// Reset subUserPassword
var tmpSubUserId;
function uiUsersSubUserResetPassword(subUserId){
	tmpSubUserId=subUserId;
	wl.UIWebPopup('/res/administration/std/password.php?subUser=1&resetPassword=1&noPasswordAllowed=1',uiUsersSubUserResetPasswordCB)
}
function uiUsersSubUserResetPasswordCB(r){wl.asr.send({'userId':selectedUser,'subUserId':tmpSubUserId,'userSubUserResetPassword':1,'newPassword':r})}

</script>
<form id="userActionForm" style="display:none" method="POST"><input name="userAction" value="1" type="text"><input name="userActionId" type="text"></form>
	<?php

	/*
	 * Main table used for left - right panels
	 */
	echo outTableTransparent(false,false,'id="mainTable"').'<tr style="vertical-align:top;height:100%">';
	echo '<td style="'.(($smallScreen)?'':'width:275px;height:100%;').'vertical-align:top" class="vBanner">';
	/**
	 * User selection panel
	 */
	echo '<div class="frame1" id="usersDiv">';
	echo outFrameHeaderTable('frame1Header',outImage(outIcon('admin'),false,false,'vertical-align:middle;margin-right:1em').cfCaption('genGroups'),outButton(cfCaption('userNewUser'),'javascript:createUser()',outIcon('new')));
	echo '<div id="usersDivScroll" style="height:100%;overflow:auto">';


	// Fade-in animation for users icons
	$fadeCode=(cfBGetVar('imgFadeSteps'))?';visibility:hidden" onload="fade(this)':'';

	$selectedUserId=cfRGetVar('selectedUserId');

	// Browse users
	foreach ($users as $id=>$uConfig){
		if(!$selectedUserId) {
			$selectedUserId=$id;
			cfRSetVar('selectedUserId',$id);
		}

		$tmpUser=$uConfig->getData();

		echo '<div id="user'.$id.'" class="adminUser'.(($id==cfRGetVar('selectedUserId'))?'Sel':'').'" onclick="selectUser(\''.$id.'\')" onmouseover="userHover(this,1)" onmouseout="userHover(this,0)">';

		// User Icon
		echo '<img alt="icon" src="/gfx/icons/'.$tmpUser['icon'].'" class="adminUserIcon" id="userIcon'.$id.'" style="height:55px;width:55px'.$fadeCode.'">';

		// User name
		echo '<div class="adminUserText"><div id="userName'.$id.'">'.cfUTF8Encode($tmpUser['name']).'</div>';

		// Is admin ?
		if(isset($tmpUser['administrator']) && $tmpUser['administrator']) echo '<span style="color:red" class="smallFont">'.cfCaption('userAdministrator').'</span>';

		// Is activated
		echo '<div class="adminUserActive">'.outimage(($tmpUser['activated'])?outIcon('on'):outIcon('off'),false,'id="userAct'.$id.'"').'</div>';
		echo '</div>';
		echo '</div>';

		// Save user data for later use
		if($id==$selectedUserId) $userData=$tmpUser;
	}
	echo "</div>\n"; // usersDivScroll
	echo "</div>\n"; // usersDiv
	echo "</td>\n"; // End of user list td

	if($smallScreen) echo "</tr><tr>\n"; else echo "<td>&nbsp;</td>\n";

	echo '<td style="vertical-align:top">'.outDivFrame('frame1','id="userConfigurationPanel"');
}

/**
 * Async commands
 */
elseif(isset($_POST['userAction'])){
	// Select user
	if($_POST['userAction']=='select' && isset($_POST['userActionId']) && isset($users[$_POST['userActionId']])){
		cfRSetVar('selectedUserId',$_POST['userActionId']);
		$userData=$users[$_POST['userActionId']]->getData();
	}
	// Update user property
	else{
		$userData=$users[cfRGetVar('selectedUserId')]->getData();
	}
}
// Update user property
else{
	$userData=$users[cfRGetVar('selectedUserId')]->getData();
}

// Initialize asynchronous controls with $userData as modified data
outControlSetData($userData);


	/****************************************************************************************************************************
	 * SubUsers managements
	 ***************************************************************************************************************************/

	// Create a new subUser
	if(isset($_POST['userCreateSubUser']) && strpos($_POST['userCreateSubUser'],'*weezoSep*') && isset($users[$_POST['userId']])){
		list($name,$password)=explode('*weezoSep*',$_POST['userCreateSubUser']);
		$users[$_POST['userId']]->createSubUser(cfUTF8Decode($name),$password);
		// Update subUsers list
		echo cfAsyncXMLInnerHTMLbyId(uiUsersSubUsersList($users[$_POST['userId']]),'subUsersFrame');
	}

	// Delete a subUser
	if(isset($_POST['userDeleteSubUser']) && isset($_POST['subUserId']) && isset($users[$_POST['userId']])){
		$users[$_POST['userId']]->deleteSubUser($_POST['subUserId']);
		// Update subUsers list
		echo cfAsyncXMLInnerHTMLbyId(uiUsersSubUsersList($users[$_POST['userId']]),'subUsersFrame');
	}

	// Reset a subUser's password
	if(isset($_POST['userSubUserResetPassword']) && isset($_POST['subUserId']) && isset($users[$_POST['userId']]) && isset($_POST['newPassword'])){
		$subUsers=$users[$_POST['userId']]->getSubUsers();
		if(isset($subUsers[$_POST['subUserId']])) $subUsers[$_POST['subUserId']]->updatePassword($_POST['newPassword']);
	}





/**
 * Process resource add / remove $_POST command
 */

// Add an existing resource to selected user
if(isset($_POST['asUpdtName']) && $_POST['asUpdtName']=='resourceAdd'){
	$completeFilename=cfAppDataDir().'/res/'.str_replace('/','',str_replace('\\','',$_POST['asUpdtValue']));
	if(cfFileExtension($completeFilename)=='res' && file_exists($completeFilename)){
		$ini=cfParse_ini_file($completeFilename);

		$max=-1;
		foreach ($userData as $k=>$v) if(substr($k,0,8)=='resource'){
			if(substr($k,8)>$max) $max=substr($k,8);
			// If user already has this resource, abort
			if($v['file']==basename($completeFilename)){$max=-2;break;}
		}
		// Note: $outCD : data modified by async controls
		// Add to user's resources
		if($max!=-2) $outCD['resource'.($max+1)]=array('type'=>$ini['type'],'subType'=>$ini['subType'],'file'=>basename($completeFilename));
	}
}
// Remove a resource from selected user
if(isset($_POST['asUpdtName']) && $_POST['asUpdtName']=='resourceRemove'){
	$newRes=array();
	$nb=0;
	foreach ($userData as $k=>$v) if(substr($k,0,8)=='resource'){
		if($v['file']!=$_POST['asUpdtValue']) $newRes['resource'.($nb++)]=$v;
		unset($outCD[$k]);
	}
	// $outCD : data modified by async controls
	$outCD=$outCD+$newRes;
}




if(!isset($uc)) {
	if(isset($_POST['userActionId']) && isset($users[$_POST['userActionId']])) $uc=$users[$_POST['userActionId']];
	else if(cfRGetVar('selectedUserId') && isset($users[cfRGetVar('selectedUserId')])) $uc=$users[cfRGetVar('selectedUserId')];
	else die();
}


	/**********************************************************************************************************
	 *  User configuration panel
	 ***********************************************************************************************************/
if(isset($userData['administrator']) && $userData['administrator']) $delButton=outButtonDisabled(cfCaption('genDelete'),false,outIcon('suppr'));
else $delButton=outButton(cfCaption('genDelete'),'javascript:deleteUser()',outIcon('del'));
$output=outFrameHeaderTable('frame1Header',outImage(outIcon('gears'),false,'id="activatedIcon"','vertical-align:middle;margin-right:1em').cfCaption('genParameters'),outControl('activated',dataBoolean,false,false,cfCaption('genActivated')).'&nbsp;&nbsp;&nbsp;'.$delButton);

// User name
$output.=outControl('name',dataText,'???',array(4,50),cfCaption('genName'));

// Account type
$output.=outControl('accountType',dataList,'anonymous',array('anonymous','list','named','singleUser'),array(
	array('&nbsp;&nbsp;&nbsp;&nbsp;',''),array(
	array('anonymous',cfCaption('userAccountTypeAnonymous')),
	array('list',cfCaption('userAccountTypeList')),
	array('named',cfCaption('userAccountTypeNamed')),
	array('singleUser',cfCaption('userAccountTypeSingleUser'))),
	false), false);

// Hidden group
$output.='&nbsp;&nbsp; &nbsp;&nbsp;'.outControl('hidden',dataBoolean,false,false,cfCaption('userHidden'));

$output.='<br><br><br>';

/**
 * Authentication
 */
if($uc->getVar('accountType')!='facebook' && $uc->getVar('accountType')!='list'){
	$output.='<div class="frame2">';

	// Account authentication method
	$output.=outControl('authenticationMethod',dataList,'anonymous',array('noAuthentication','password'),array(
		array(cfCaption('userAuthentification'),''),array(
		array('noAuthentication',cfCaption('userAuthenticationNoAuthentication')),
		array('password',cfCaption('genPassword'))),
		false), false);

	// Password
	$output.=outControl('password',dataPassword,'',array(0,50),array(cfCaption('genPassword'),20));
	$output.='<br><br>';

	// Hint
	$output.=outControl('hint',dataText,'',array(0,50),array(cfCaption('logHint'),20));

// IP restriction
//$output.='&nbsp;&nbsp;&nbsp;&nbsp;'.outButton(cfCaption('configIPFilter'),'javascript:setIPFilter(\''.$userData['configFilename'].'\')',outIcon((!isset($userData['IPFilter']) || $userData['IPFilter']=='no')?'ahead.png':'warning.png'));
	$output.='</div>';
	$output.='<br>';
}

/**
 * List users: display subUsers list
 */
elseif ($uc->getVar('accountType')=='list'){
	$output.='<div style="float:right">'.outButton(cfCaption('genAdd'),'javascript:uiUsersAddSubUser()',outIcon('add2')).'</div>';
	$output.=outImageIcon('users16').cfCaption('genUsers').'<br clear="all">';
	$output.=outDivFrame('frame2','id="subUsersFrame"','position:relative;overflow-y:auto;overflow-x:hidden;height:130px;display:block');
	$output.=uiUsersSubUsersList($uc);
	$output.='</div><br>';
}

// Download speed limit
$output.=outControl('downloadSpeedLimit',dataText,'',array(0,500000000),array(cfCaption('explorerDlLimit'),3,cfCaption('explorerKBPS')));

// Max simultaneous users
for($i=0;$i<10;$i++) $tmp1[]=$i;
$tmp2=array();
$tmp2[]=array(0,'-');
for($i=1;$i<10;$i++) $tmp2[]=array($i,$i);
$output.=outControl('maxSimultaneousUsers',dataList,0,$tmp1,array(array(cfCaption('loginMaxUsers'),''),$tmp2,false), false);

$output.='<br><br>';


/**
 * Appearance
 */
$output.='<div class="frame2">';

// Colors icon
//$output.=outImage('/res/administration/std/colors.png',false,false,'float:left;margin-right:1em;margin-bottom:32px');
$output.='<br>';

// Audio profile
$tmp1=array('noSound');
$tmp2=array();
$tmp2[]=array('noSound',cfCaption('userAudioNoSound'));
foreach (glob(cfAppDocRoot().'/snd/*') as $file) {
	$tmp1[]=basename($file);
	$tmp2[]=array(basename($file),basename($file));
}
$output.=outControl('audioProfile',dataList,'default',$tmp1,array(array(cfCaption('userAudioProfile'),''),$tmp2,false), false);

if($smallScreen) $output.='<br>';

// Theme
$tmp1=array('');
$tmp2=array();
 $tmp2[]=array('','-');
$themes=cfMGetVar('weezoThemes');
foreach ($themes as $name=>$data) if($name!='skins/default' && $name!='skins/osx' && !isset($data['private'])){
	$tmp1[]=cfUTF8Encode($name);
	$tmp2[]=array(cfUTF8Encode($name),cfUTF8Encode($name));
}
$output.='&nbsp;&nbsp;&nbsp;'.outControl('theme',dataList,'',$tmp1,array(array(cfCaption('genTheme'),''),$tmp2,false), false);


// User icon
$output.='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.outControl('icon',dataImage,'default.jpg',array(cfAppDocRoot().'/gfx/icons',array('jpg','gif')),array(cfCaption('userIcon'),'width:40px;height:40px'));

$output.='<br>';
$output.='</div>';


/**
 * Resources
 */
$output.=outDivFrame('frame2');
$output.='<div class="frame2Header">'.outImageIcon('resources2').cfCaption('genResources').'</div>';
$output.='<div  style="overflow:auto">';

/**
 * Read selected user's resources (skip for async requests)
 */
if(!isset($_POST['asUpdtName'])){
	$types=array(array('explorer','administration','blog','bookmarks'),array('tv','webcam','website','misc'));

	$res=cfResourcesGetAll();

	$output.=outTableTransparent(false, 'table-layout:fixed');
	$output.='<table style="width:95%;table-layout:fixed" cellspacing="5">';

	// Display resources, grouped by type, on 2 lines, 4 columns
	foreach ($types as $group){
		$max=0;
		// Line
		$output.'<tr>';
		foreach ($group as $type) {
			// Group (type) header
			$output.='<td class="frame3" style="width:25%;vertical-align:top;overflow:hidden;text-overflow:ellipsis;white-space:nowrap">';
			$output.='<fieldset style="position:relative;text-align:left;padding-left:1em;padding:0.5em;height:100%;width:100%"><legend style="color:inherit;font-weight:bold">';
			$output.=outImage('/res/'.$type.'/resourceIconSmall.gif',false,false,'margin-right:1em;vertical-align:middle').cfCaption('res'.ucfirst($type)).'</legend>';

			// Generate resources list
			$nb=0;
			foreach ($res as $id=>$r) if($r['type']==$type){
				// Skip administration resources for non-administrators
				if($type=='administration' && !$uc->isAdministrator()) continue;

				// If user already has this resource, check control
				$checked='';
				foreach ($uc->getResources() as $rid=>$rfn) if($rfn==$r['resourceFilename']) {$checked=' checked="checked"';break;}
				// Checkbox
				$output.='<input type="checkbox" '.$checked.' id="'.$r['resourceFilename'].'" value="" style="vertical-align:middle;margin-right:0.5em" onchange="asUpdtRes(this)">';
				// Resource
				$output.='<img src="'.$r['definition']['resourceIconSmall'].'" alt="" style="vertical-align:middle;margin-right:0.5em">';
				$output.='<span onclick="resClick(this)">'.cfUTF8Encode($r['name'],false,false).'</span><br>';
				$nb++;
			}
			if($nb==0) $output.='<br>'.outImageIcon('info2').cfCaption('resNoAvailableRessource').'<br>&nbsp;';
			$output.="</fieldset>\n";
			$output.="</td>\n";
		}
		$output.="</tr>\n";
	}
	$output.='</table>';

	$output.='</div>';
	$output.='</div>';
}

/************************************************************************************************************/


// Check for changes in user properties
if(outControlGetData($userData)){
	// Save to file, and send command to application to update display
	require_once(INCLUDE_DIR.'resourceConfigFunctions.php');
	rcWriteUserFile($userData,cfGGetVar('user'.cfRGetVar('selectedUser'),'file'));
}

// New user selected
if(isset($_POST['userActionId']) && isset($_POST['asyncRequest'])) echo cfAsyncXMLInnerHTMLbyId($output,'userConfigurationPanel');
// User property modified
elseif(isset($_POST['asyncRequest'])) echo $outControlAsyncResponse;
// Synchronous page display
else echo $output;

// Synchronous page footer
if(!cfIsAsync()){
	echo "</div>\n"; // frame1
	echo "</td></tr></table>\n"; // frame1
	echo '<script type="text/javascript">init()</script>';
}
// Asynchronous message footer
else echo cfAsyncFooter(false);


// Reset active sessions (can also be triggered by user delete)
if(outControlCommandName()=='activated' && outControlCommandValue()=='false') $resetSessions=true;
if(outControlCommandName()=='resourceAdd' || outControlCommandName()=='resourceRemove') $resetSessions=true;
if(isset($resetSessions)){
	require_once(INCLUDE_DIR.'initFunctions.php');
	ifResetResourcesUsers();
}