<?php
/**
 * SelfBlog configuration file
 *
 * Configuration of SelfBlog resource
 * this script is included by /res/administration/std/resourceConfig.php
 * this script should always be accessed through /res/administration/index.php including resourceConfig.php including this script
 *
 * resourceConfig.php sets 1 variable :
 * $resourceData (array) which contains resource parameters
 *
 * PHP version 5
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 1.0.0
 */

/*
 ***************************************************************************************************************************
 * Verify access rights
 ***************************************************************************************************************************
 */
require_once(INCLUDE_DIR.'resourceConfigFunctions.php');
rcConfigRights(false);

/*
 ***************************************************************************************************************************
 * Display configuration form
 ***************************************************************************************************************************
 */

// Insert Javascript function needed for save button activation, and <form> with hidden fields.
rcInsertScriptAndForm();

// Resource icon & name
rcInsertIconName($resourceData);


// Comments allowed
rcProcessData('commentsAllowed',dataUserRights,'all',false,cfCaption('genCommentsAllowed').'&nbsp;&nbsp;&nbsp;'.outHelpButton('helpBlogComments'));

// Max post per page
rcProcessData('maxPostPerPage',dataNumeric,10,array(1,1024),array(cfCaption('blogMaxPostPerPage'),1)); // Max thumbnail width
echo '<br/>';




// Separator ***************************************************************************
echo outConfigSeparator();



// Separator ***************************************************************************
echo outConfigSeparator();



// Resource theme
echo rcThemeSelectionControl();

// Save / cancel buttons
echo '<br/>'.rcButtonSaveCancel();

// Blog usage explanation
echo '<br /><br /><div class="extendedInfo">'.outImageIcon('info2').cfCaption('blogExplanation').'</div>';

rcProcessData('userTempDirAccessAllowed',dataBoolean,false,false,false/*do not display control*/); // Allow / Forbid access to user temp directory (data/sessiondata/(session_id)/)
rcProcessData('resourceDataDirAccessAllowed',dataBoolean,true,false,false/*do not display control*/); // Allow / Forbid access to resource directory (data/res/(res type)/(res subType)/(res file name)/)

// If resource need access to resource data dir, create it
rcCreateResourceDataDir();

// Indicate that resource has been configured
rcProcessData('resourceConfigured',dataBoolean,true,false,false);

// Save parameters
rcWriteResourceFile($resourceData, $fileName);

// Save parameters
rcWriteResourceFile($resourceData, $fileName);


// Enable / disable profile detail on "display profile" button value
?>
<script language="javascript" type="text/javascript">
function dataChanged(dataName,dataValue){
	if(dataName=="useProfile"){
		if(dataValue==false) {
			document.getElementsByName("profileName")[0].disabled=true;
			document.getElementsByName("profileEMail")[0].disabled=true;
			document.getElementsByName("profileComment")[0].disabled=true;
		}
		else{
			document.getElementsByName("profileName")[0].disabled=false;
			document.getElementsByName("profileEMail")[0].disabled=false;
			document.getElementsByName("profileComment")[0].disabled=false;
		}
	}
}
function dataInitForm(){
	dataChangedNV("useProfile");
}
dataInitForm();
</script>
