<?php
/**
 * RSS Feed viewer configuration file
 *
 * Configuration of standard bookmarks resource
 * this script is included by /res/administration/std/resourceConfig.php
 * this script should always be accessed through /res/administration/index.php including resourceConfig.php including this script
 *
 * resourceConfig.php sets 2 variables :
 * $resourceData (array) which contains resource parameters
 * $_ENV['configurationEnvironment'] which indicates if resourceConfig.php has been called from browser ('browser')
 * or from application's embeded browser ('application')
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 1.0.0
 */


/**
 * @desc function called when a data has been modified
 *
 * @param string $dataName : name of changed data
 * @param mixed $previousDataValue : previous value
 */
function dataChanged($dataName, $previousDataValue){
	global $resourceDataDir;
	// If bookmarks type or path or size have changed, destroy all generated thumbnails
	if($dataName=='bookmarksPath' || $dataName=='bookmarksType' || $dataName=='thumbnailMaxSize'){
		if(file_exists($resourceDataDir) && is_dir($resourceDataDir)){$dir=$resourceDataDir;cfUnlinkDir($dir);mkdir($dir);}
	}
}

/*
 ***************************************************************************************************************************
 * Verify access rights
 ***************************************************************************************************************************
 */
require_once(INCLUDE_DIR.'resourceConfigFunctions.php');
rcConfigRights(false);

// Set function that will be called on data change
rcSetModifiedValuePHPFunction('dataChanged');

/*
 ***************************************************************************************************************************
 * Display configuration form
 ***************************************************************************************************************************
 */

// Insert Javascript function needed for save button activation, and <form> with hidden fields.
rcInsertScriptAndForm();

// Resource icon & name
rcInsertIconName($resourceData);

// Update frequency
rcProcessData('updateFrequency',dataList,'1800',array('300','600','900','1800','3600','7200','86400','172800'),array(
	array(false,cfCaption('genRefreshRate')),array(
	array('300','5 '.cfCaption('genMinutes')),
	array('600','10 '.cfCaption('genMinutes')),
	array('900','15 '.cfCaption('genMinutes')),
	array('1800','30 '.cfCaption('genMinutes')),
	array('3600','60 '.cfCaption('genMinutes')),
	array('7200','2 '.cfCaption('genHours')),
	array('68400','24 '.cfCaption('genHours')),
	array('172800','2 '.cfCaption('genDays'))
	),false),true);
echo '<br/>';

// Open in Weezo window or in regular window
//rcProcessData('noPopup',dataBoolean,false,false,cfCaption('configNoPopup'), false);
//echo '<br/>';



// Separator ***************************************************************************
echo outConfigSeparator();


// Display
echo '<div class="frame2">';
echo '<div class="frame2Header">'.cfCaption('genDisplay').'</div>';
// Display type (true for compact display, false for detailed display)
rcProcessData('compactDisplay',dataBoolean,true,false,array(cfCaption('activityLogDetailInf'),cfCaption('activityLogDetailDet')));

// Nb of columns
rcProcessData('nbColumns',dataNumeric,3,array(1,10),array(cfCaption('rssColumns'),1,''));



// Nb of items displayed
echo '<br><div class="configSubFrameHeader">'.cfCaption('rssNbLines').'</div>';
rcProcessData('feedsDisplay',dataList,'number',array('all','day','last','number'),array(
	array('all',cfCaption('genAll')),
	array('day',cfCaption('genToday')),
	array('last',cfCaption('genNotRead')),
	array('number',' ')
	),false);

rcProcessData('maxItems',dataNumeric,10,array(0,100),array(' ',2,''));

echo '</div>';


// Separator ***************************************************************************
echo outConfigSeparator();

echo '<div class="frame2">';
echo '<br><div class="configSubFrameHeader">'.cfCaption('rssFeeds').' / '.cfCaption('genEdition').'</div>';

// Feeds edition
rcProcessData('editionAllowed',dataUserRights,'admin',false,cfCaption('genEdition'));

echo '</div>';


// Separator ***************************************************************************
echo outConfigSeparator();




rcProcessData('descriptionLength',dataNumeric,140,false,false/*do not display control*/); // Nb of displayed characters for link description
rcProcessData('userTempDirAccessAllowed',dataBoolean,false,false,false/*do not display control*/); // Allow/forbid access to user temp directory (data/sessiondata/(session_id)/)
rcProcessData('resourceDataDirAccessAllowed',dataBoolean,true,false,false/*do not display control*/); // Allow/forbid access to resource directory (data/res/(res type)/(res subType)/(res file name)/)
rcProcessData('updateFrequency',dataNumeric,7,false,false/*do not display control*/); // Default socket timeout (XML update)



// Resource theme
echo rcThemeSelectionControl();

// Save / cancel buttons
echo '<br/>'.rcButtonSaveCancel();

// If resource need access to resource data dir, create it
rcCreateResourceDataDir();

// Indicate that resource has been configured
rcProcessData('resourceConfigured',dataBoolean,true,false,false/*do not display control*/);

// Save parameters
rcWriteResourceFile($resourceData, $fileName);
?>
<script type="text/javascript">
function dataChanged(dataName,dataValue){
	if(dataName=="feedsDisplay") dgi('maxItems').disabled=(dataValue!='number')
}
dataChangedNV('feedsDisplay');
</script>