<?php
/**
 * Photo album V3 configuration file
 *
 * Configuration of standard photo album resource
 * this script is included by /res/administration/std/resourceConfig.php
 * this script should never be directly called.
 *
 * resourceConfig.php sets 2 variables :
 * $resourceData (array) which contains resource parameters loaded from user.res file
 * $_ENV['configurationEnvironment'] which indicates if resourceConfig.php has been called from browser ('browser')
 * or from application's embeded browser ('application')
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 1.0.0
 */


/*
 ***************************************************************************************************************************
 * Insert Photo title, and combined layout selector
 ***************************************************************************************************************************
 */
photoHeader();

/*
 ***************************************************************************************************************************
 * Start of resource specific section
 ***************************************************************************************************************************
 */

echo outTableTransparent(false); // Main layout table (3 cols)
echo '<colgroup><col width=1><col width="*"><col width=1></colgroup>';
echo '<tr>';


/*
 ***************************************************************************************************************************
 * THUMBNAILS AREA
 ***************************************************************************************************************************
 */
echo '<td id="leftTD" style="vertical-align:top;width:auto;overflow:hidden;white-space:nowrap;text-align:center">';
echo outDivFrame('frame2');


// Thumbnails interval selection controls
echo '<center>'.outExplorerThumbnailsSelector(1,true).'</center>';

echo '<div id="noFileDiv" style="overflow:auto;position:relative"></div>';
echo '<center style="clear:left" id="thumbnailsFrameBottom">'."</center></div></div>\n";
echo '</td>';


/*
 ***************************************************************************************************************************
 * PREVIEW AREA
 ***************************************************************************************************************************
 */
echo '<td style="vertical-align:top" id="previewArea">';

	// Preview area title area content
	$l=$preview->toggleSlideshowBt()/*.'&nbsp;&nbsp;'.$preview->nextBt()*/;
	// Sort controls
	if(!cfRGetVar('noSortControls')) $l.='&nbsp;&nbsp;&nbsp;'.outFileSortControls(true);

	$r='';
	// Edit image's comments button
	$r.=$preview->editCommentsBt();
	// Download full size button & zip download buttons
	$r.=$preview->downloadBts(false);

	// Preview image rotation buttons
	$r.='&nbsp;&nbsp;'.$preview->rotateBts();
	// View button
	$r.='&nbsp;&nbsp;'.$preview->viewBt(false,true);
	// File search
	if(cfRGetVar('searchFiles')) $r.='&nbsp;'.outButton(false,'javascript:searchFiles()',outIcon('search'),cfCaption('genSearch'));

	// Image Title + buttons
	echo outFrameHeaderTable('',$l,$r);

	echo '<div style="position:relative; width:300px;height:0px"></div>'; // = min-width...

	echo outTableTransparent('frame2','text-align:center;padding-top:1em').'<tr><td>';

	echo "</td></tr>\n";

	/**
	 * PREVIEW IMAGE
	 */
	echo '<tr><td align="center">';
	echo $preview->image('width:90%');
	echo  "</td></tr>\n";
	echo "<tr><td>\n";

	echo '</td></tr></table>';

echo '</td>';


/*
 ***************************************************************************************************************************
 * Action panel (multiple downloads, image upload, navigation)
 ***************************************************************************************************************************
 */
if(efActionPanelDisplayed()) efActionPanel('right',200,array('shadows'=>1,'panelExtraHTML'=>''));

echo '</tr></table>'; // Close main (3 cols layout) transparent table
echo '</div>'; // close topDiv

// Drag'n drop registration (no scroll)
echo cfDragRegisterItems();

?>
<script type="text/javascript">
function resizeFrames(){
	alignBottom(dgi("noFileDiv"),winMe,15);
	if(dgi("<?php if(@$tree) echo $tree->HTMLDivID(); else echo 'noTree'?>") && dgi('actionsPanel').style.display!='none') alignBottom(dgi("<?php if(@$tree) echo $tree->HTMLDivID();?>"),winMe,7);
	alignBottom(dgi("previewOuterFrame"),winMe,25);
}

function winResized(w,h){
	resizeFrames();
	preview.frameResized();
}

function filesListBeforeDraw(files,tnw,tnh){
	dgi('leftTD').style.width=(2*tnw+8*Math.max(5,tnw/15)+40)+'px'
	winResized();
	fL.previewOnCM=1;
	fL.noLeftClickCM=1;
	fL.noTooltip=1;
	preview.set((files.length)?files[0][2]:'foo');
}

function filesLayoutResource(files,tnw,tnh){
	var i,u='<div id="filesTable">';
	for(i=0;i<files.length;i++) {
		u+=fL.iconHTML(files[i],i,tnw,tnh,'preview');
		if(i%2==1) u+='<br>';
	}
	if(i%2==1) u+='<fieldset class="filesIcon" style="width:'+(tnw)+';height:'+(tnh+12)+'"><div style="position:relative;width:'+(tnw+8)+';height:'+(tnh+8)+'"></div></fieldset>';
	return u+'</div>';
}
resizeFrames();
</script>
<?php

efFilesList("noFileDiv",array('commitDraw'=>true));
?>
<script type="text/javascript">
//preview.set();
</script>
</body>
</html>